// This file is released under the 3-clause BSD license. See COPYING-BSD.


mode(-1);
lines(0);

function main_builder()

  TOOLBOX_NAME  = "predictivemodule";
  TOOLBOX_TITLE = "Predictive Xcos toolbox";
  toolbox_dir   = get_absolute_file_path("builder.sce");


// Action
// =============================================================================

  tbx_builder_macros(toolbox_dir);
//  tbx_builder_src(toolbox_dir);
//  tbx_builder_gateway(toolbox_dir);
  tbx_builder_help(toolbox_dir);
  tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
  tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
endfunction

if with_module('xcos') then
  main_builder();
  clear main_builder; // remove main_builder on stack
end
