// This file is released under the 3-clause BSD license. See COPYING-BSD.


// This macro compiles the files

function builder_predictive()
  src_c_path = "./src/c";
  absolute_src_c_path = get_absolute_file_path("builder_c.sce");

  // NXT 2.0
  include_predictive = src_c_path + "/predictive";
  
  INCLUDE_PREDICTIVE = [include_predictive];
  LIBRARY_PREDICTIVE = "";
  DYNAMIC_LIBRARY = [];
  SYMBOLS_PREDICTIVE = ["predictive_stub_sim",                                  ..
                 ];
  SRC_PREDICTIVE = ["predictive/block/predictive_stub_sim.c",                   ..
             ];

  // Build
  SYMBOLS = [SYMBOLS_PREDICTIVE];
  CCOPTIONS ="-g -Wall ";
  INCLUDE = ilib_include_flag([INCLUDE_PREDICTIVE]);
  INCLUDE = INCLUDE + " -I" + SCI + "/modules/scicos_blocks/includes";
  INCLUDE = INCLUDE + " -I" + SCI + "/modules/scicos/includes";
  CCFLAGS = CCOPTIONS + INCLUDE;
  LDFLAGS = LIBRARY_PREDICTIVE;
  SRC = [SRC_PREDICTIVE];

  tbx_build_src(SYMBOLS,                              ..
                SRC,                                  ..
                "c",                                  ..
                src_c_path,                           ..
                DYNAMIC_LIBRARY,                      ..
                LDFLAGS,                              ..
                CCFLAGS,                              ..
                "",                                   ..
                "",                                   ..
                "xcos_tbx_predictive");
                
endfunction

builder_predictive();
clear builder_predictive; // remove builder_rtm on stack
